Subject: Re: bug#8926: 24.0.50; pcomplete regression

From: Stefan Monnier <[email-masked]>
Date: Thu, 30 Jun 2011 12:53:48 -0400

>> Yup.  Because among the various completion cases, the case for "files"
>> used to return a list and now returns a function.  Both are valid
>> completion tables.  Any caller of pcomplete-completions should expect to
>> receive a completion table and not just a list of strings.  It may very
>> well receive a list of strings (which is one kind of completion table),
>> but it may just as well receive something else.
> Yes i saw that, and it's what i didn't understand.

BTW, the reason for the above change was not just to fix a bug when
using pcomplete-completions-at-point but also so that partial-completion
now works with pcomplete-entries (so you can "cd ~/e/e TAB" to go to
~/etc/emacs).

        Stefan